Bug 52932 - init.d/sendmail should use Makefile to rebuild databases
Summary: init.d/sendmail should use Makefile to rebuild databases
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-30 22:44 UTC by redhat-bugs
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 22:44:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description redhat-bugs 2001-08-30 22:44:35 UTC
Description of Problem:

The current version of the sendmail package includes a Makefile under
/etc/mail to rebuild various databases (access, genericstable, etc.).  
This is great, as it allows me to customize my setup.  However, the init
script to start sendmail (/etc/rc.d/init.d/sendmail) *also* rebuilds the
databases (whether it's needed or not!), but it uses its own crude method.
 Therefore, any changes to the database setup I make in the Makefile will
be ignored and my databases will be rebuilt incorrectly.

The init script should use the Makefile to rebuild databases instead of
doing it manually.

Version-Release number of selected component (if applicable):
sendmail-8.11.2-14

How Reproducible:
Always


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Florian La Roche 2001-08-31 12:30:36 UTC
fixed in release 3 or newer

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.